%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		aisleriot
Summary:	A compilation of solitaire card games
Version:	3.16.2
Release:	1
Group:		Games/Cards
License:	GPLv3+
Url:		https://wiki.gnome.org/Aisleriot
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Conflicts:	gnome-games < 2.29.6-2
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(gconf-2.0) >= 2.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(guile-2.0) >= 2.0.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(QtSvg)
BuildRequires:	intltool
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-dtds
BuildRequires:	guile
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	appdata-tools

%description
Aisleriot (also known as Solitaire or sol) is a collection of card games
which are easy to play with the aid of a mouse. The rules for the games
have been coded for your pleasure in the GNOME scripting language (Scheme).

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
	--with-card-theme-formats=all \
	--with-kde-card-theme-path=%{_datadir}/apps/carddecks \
	--with-pysol-card-theme-path=%{_datadir}/PySolFC \
	--disable-schemas-compile \
	--disable-schemas-install \
	--disable-static
%make V=1 LIBS="-lstdc++"

%install
%makeinstall_std

desktop-file-edit %{buildroot}%{_datadir}/applications/sol.desktop

%find_lang %{name} --with-gnome

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/sol
%{_libdir}/%{name}/
#%%{_libexecdir}/%{name}/
%{_libdir}/valgrind/%{name}.supp
%{_datadir}/applications/sol.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_iconsdir}/*/*/*/*
%{_mandir}/man6/sol.*
%{_datadir}/%{name}/
%{_datadir}/appdata/sol.appdata.xml




%changelog

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (11de703) pack icons


